package com.caimei.model.vo;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Date;
import java.sql.Timestamp;

@Data
public class RossChallengeRoundVo {

    private Integer id;
    /**
     * 供应商id
     */
    private Integer authUserId;
    /**
     * 用户id
     */
    private Integer authId;
    /**
     * 用户登录账号
     */
    private String userName;
    /**
     * 参赛状态（0：未参赛；1已参赛）
     */
    private Integer contestStatus;
    /**
     * 参赛时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp contestTime;

    /**
     * 资质认证营业执照oss地址
     */
    private String licenseOssUrl;
    /**
     * 资质认证营业执照oss名称
     */
    private String licenseOssName;
    /**
     * 是否资质认证(0：未认证；1：已认证)
     */
    private Integer authenticationStatus;
    /**
     * 参赛时间(用于前端展示)
     */
    private String contestDate;
    /**
     * 机构名称
     */
    private String authParty;
}
